Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Softpkg_Handler Class Reference

`#include <Softpkg_Handlers.h>`

Inheritance diagram for CIAO::Softpkg_Handler:

[legend]
Collaboration diagram for CIAO::Softpkg_Handler:

[legend]
List of all members.

## Public Types
typedef CIAO_XML_HELPERS_Export CIAO::Softpkg_Handler::Struct_Softpkg_Info | Softpkg_Info
enum | Softpkg_Type { CSD, SSD }
| Softpkg type identifier. More...
enum | Softpkg_State { ROOT, DESCRIPTOR, IMPLEMENTATION, CIAODLL, CODE }
## Public Member Functions
| Softpkg_Handler (ACEXML_XMLReader *parser, Softpkg_Info *info ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual | ~Softpkg_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endDocument (ACEXML_ENV_SINGLE_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startDocument (ACEXML_ENV_SINGLE_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Private Attributes
bool | rec_cdata_
| if we need to trace the CDATA.
Softpkg_State | state_
| Parse state.
Softpkg_Type | type_
| Type of softpkg we are parsing.
ACE_TString | characters_
| Character info.
ACE_TString | impluuid_
ACE_TString | ssd_
ACE_TString | ssd_id_
ACE_TString | path_
ACE_TString | entry_pt_
Softpkg_Info * | softpkg_info_
| Parse result.

## Member Typedef Documentation

typedef struct CIAO_XML_HELPERS_Export CIAO::Softpkg_Handler::Struct_Softpkg_Info CIAO::Softpkg_Handler::Softpkg_Info

## Member Enumeration Documentation

enum CIAO::Softpkg_Handler::Softpkg_State

  | Enumeration values:
  ROOT |
  DESCRIPTOR |
  IMPLEMENTATION |
  CIAODLL |
  CODE |

enum CIAO::Softpkg_Handler::Softpkg_Type

  | Softpkg type identifier. Enumeration values:
  CSD |
  SSD |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Softpkg_Handler::Softpkg_Handler | ( | ACEXML_XMLReader * | parser,
|  | Softpkg_Info *info | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Default constructor.

ACE_INLINE CIAO::Softpkg_Handler::~Softpkg_Handler | ( | void |  | ) | `[virtual]`

| Default destructor.

## Member Function Documentation

virtual void CIAO::Softpkg_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

void CIAO::Softpkg_Handler::endDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of a document. Reimplemented from ACEXML_DefaultHandler.

void CIAO::Softpkg_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

void CIAO::Softpkg_Handler::startDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of a document. Reimplemented from ACEXML_DefaultHandler.

virtual void CIAO::Softpkg_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

ACE_TString CIAO::Softpkg_Handler::characters_`[private]`

| Character info.

ACE_TString CIAO::Softpkg_Handler::entry_pt_`[private]`

| Cached the Implementation entry point before it can be determined suitable for use.

ACE_TString CIAO::Softpkg_Handler::impluuid_`[private]`

| Cached the Implementation UUID before it can be determined suitable for use.

ACE_TString CIAO::Softpkg_Handler::path_`[private]`

| Cached the Implementation path before it can be determined suitable for use.

bool CIAO::Softpkg_Handler::rec_cdata_`[private]`

| if we need to trace the CDATA.

Softpkg_Info* CIAO::Softpkg_Handler::softpkg_info_`[private]`

| Parse result.

ACE_TString CIAO::Softpkg_Handler::ssd_`[private]`

| Cached the servant path before it can be determined suitable for use.

ACE_TString CIAO::Softpkg_Handler::ssd_id_`[private]`

| Cached the servant uuid before it can be determined suitable for use.

Softpkg_State CIAO::Softpkg_Handler::state_`[private]`

| Parse state.

Softpkg_Type CIAO::Softpkg_Handler::type_`[private]`

| Type of softpkg we are parsing.

The documentation for this class was generated from the following files:

- Softpkg_Handlers.h
- Softpkg_Handlers.cpp
- Softpkg_Handlers.inl